Kea: isc::agent::CtrlAgentResponseCreatorFactory Class Reference

| Kea 3.0.3-git

isc::agent::CtrlAgentResponseCreatorFactory Class Reference

HTTP response creator factory for Control Agent. More...

`#include <ca_response_creator_factory.h>`

Inheritance diagram for isc::agent::CtrlAgentResponseCreatorFactory:
[legend]

## Public Member Functions
| CtrlAgentResponseCreatorFactory ()
| Constructor.
virtual http::HttpResponseCreatorPtr | create () const
| Returns an instance of the CtrlAgentResponseCreator which is used by HTTP server to generate responses to commands.
Public Member Functions inherited from isc::http::HttpResponseCreatorFactory
virtual | ~HttpResponseCreatorFactory ()
| Virtual destructor.

## Detailed Description

HTTP response creator factory for Control Agent.

See the documentation of the isc::http::HttpResponseCreatorFactory for the details how the response factory object is used by the isc::http::HttpListener.

This class always returns the same instance of the CtrlAgentResponseCreator which isc::http::HttpListener and isc::http::HttpConnection classes use to generate HTTP response messages which comply with the formats required by the Control Agent.

Definition at line 26 of file ca_response_creator_factory.h.

## Constructor & Destructor Documentation

## ◆ CtrlAgentResponseCreatorFactory()

isc::agent::CtrlAgentResponseCreatorFactory::CtrlAgentResponseCreatorFactory | ( |  | ) |
| inline

Constructor.

Creates sole instance of the CtrlAgentResponseCreator object returned by the CtrlAgentResponseCreatorFactory::create.

Definition at line 33 of file ca_response_creator_factory.h.

## Member Function Documentation

## ◆ create()

virtual http::HttpResponseCreatorPtr isc::agent::CtrlAgentResponseCreatorFactory::create | ( |  | ) | const
| inlinevirtual

Returns an instance of the CtrlAgentResponseCreator which is used by HTTP server to generate responses to commands.

Returns
  Pointer to the CtrlAgentResponseCreator object.

Implements isc::http::HttpResponseCreatorFactory.

Definition at line 41 of file ca_response_creator_factory.h.

The documentation for this class was generated from the following file:

- ca_response_creator_factory.h